Subject: Re: [PATCH v5 00/30] Builtin FSMonitor Part 2

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Feb 2022 11:36:23 -0800

Johannes Schindelin <[email-masked]> writes:

>> In this version I removed the core.useBuiltinFSMonitor config setting and
>> instead extended the existing core.fsmonitor.
>
> I am somewhat surprised that a reviewer suggested this, as it breaks the
> common paradigm we use to allow using several Git versions on the same
> worktree.

I do not think sharing the same repository with different versions
of Git was considered as a possible source of problems during the
review discussion.

https://lore.kernel.org/git/[email-masked]/

I am not saying that we should not consider it; I am just stating
the fact that there was nobody who raised as a potential issue
during the discussion that lead to the cited message.